% procImage
%    read in RGB JPG image, convert to grayscale
%    and process with logistic function
%    adjust threshold and width

%% get  image
filename='CraigLent.jpg';
Mimage=imread(filename);

%% convert to grayscale
M=rgb2gray(Mimage);

%%  original figure
figure(1)
axis;
hax1=gca;
hgs=imshow(M,'InitialMagnification','fit',...
          'Parent',hax1);
axis(hax1,'off')
axis(hax1,'image')

%% set threshold and width
x0=127;
width=10;

%% define filter-function as logistic
logistic=@(x)  1./(1+ exp ( -(double(x)-x0)/width ));

%% tabulate and plot transfer function
x=linspace(0,255,200);
transferFunction=255*logistic(x);

figure(2)
plot(x,transferFunction);
xlabel('pixel input level')
ylabel('pixel output level')
axis([0 255 0 255]);
grid on
title('Transfer function')

%% transform image and plot
figure(3)
axis;
hax2=gca;
MS=255*logistic(M);
him=imshow(logistic(MS),'InitialMagnification','fit',...
    'Parent',hax2);

