function procImageF(handles)
%    read in RGB JPG image, convert to grayscale
%    and process with logistic function
%    adjust threshold and width

%  HB structure:
%      HB.p0   handles for objects on base panel procImageTool
%      HB.p1   handles for objects on panel 1 OrigPanel
%      HB.p2   handles for objects on panel 2 ProcPanel
%      HB.p3   handles for objects on panel 3 TransferPanel


%% get HB structure from base panel
HB=getappdata(handles.hBase,'HB');

%% get  image
filename=HB.p0.fnameText.String;    
Mimage=imread(filename);

%% convert to grayscale
M=rgb2gray(Mimage);

%%  display original figure
imshow(M,'InitialMagnification','fit',...
           'Parent',HB.p1.origAxes);
axis(HB.p1.origAxes,'off')
axis(HB.p1.origAxes,'image')

%% set threshold and width
x0=HB.p3.thresholdSlider.Value;
width=HB.p3.widthSlider.Value;

%% define filter-function
Tfunc=@(x)   1./(1 + exp( -(x-x0)/width ));

%% tabulate and plot transfer function
x=linspace(0,255,200);
y=255*Tfunc(x);

plot(HB.p3.transferAxes, x,y);
xlabel(HB.p3.transferAxes,'pixel input level')
ylabel(HB.p3.transferAxes,'pixel output level')
axis(HB.p3.transferAxes,[0 255 0 255]);
title(HB.p3.transferAxes,'Transfer function')

%% transform image and plot
MS=255*Tfunc(double(M));
him=imshow(MS,'InitialMagnification','fit',...
            'Parent',HB.p2.procAxes);

